PDA

View Full Version : Logic, 10.5.2, and M-Audio devices




Derwood
May 19, 2008, 10:54 AM
I am pulling my hair out with this particular problem... :mad:

Right. Longtime Logic user. I have been running Express 7 with an M-Audio MobilePre for ages now under Tiger. Recently updated to Leopard and my M-Audio Interface (latest driver installed) was routinely crashing Logic. I was getting a recurrent error message "Error synchronizing MIDI and Audio", after which I would not get any output from the interface. Grumble, grumble. I uninstalled, reinstalled, checked the interface compatibility with other programs etc. Device seems to work alright under 10.5.2 for most core-audio stuff (iTunes, Quicktime, system sounds et al.) but I get neither input/output under Garageband, and the above error message in Logic. :confused:

I've done a bit of hunting around on the internet and it seems that M-Audio are being pretty slow in updating their drivers. The most up-to-date one is for 10.5.1 and there is no indication from them as to when a patched driver for 10.5.2 might be made available. Seems like a fairly simple driver issue, doesn't it?

Here's the twist...

I upgraded to the new Logic Studio. I left my old version of Express and Garageband installed and installed the new Logic Studio. Without any tweaking the set-up worked flawlessly. The error message I was getting previously didn't show up and the whole thing was smooth. For the last few weeks it has been great and I quickly forgot about my previous problems. :D

But another twist...

Today though, I opened Garageband with the M-Audio device plugged in and since then the "Error synchronizing MIDI and Audio" message has returned. :eek:

I've uninstalled and reinstalled Logic and all its components and its still happening. I've done the same with the driver. No dice.

My question to you guys is: what has opening Garageband done to my audio set-up that would have destabilised Logic and reinstated this error message and fault?

I'm at my wits end. I'm halfway through demo-ing a bunch of songs, I'm going away to record in a couple of weeks time and need to get these mixes finished.

Any help would be greatly appreciated.



DJJONES
May 19, 2008, 01:35 PM
i dont know how i can help you.
but m audio devices tend to be shaky on drivers.

butterfly0fdoom
May 19, 2008, 02:59 PM
DigiDesign doesn't like to be up-to-date with driver compatibility. Contact M-Audio, I guess?

Derwood
May 20, 2008, 11:34 AM
I found the following at http://createdigitalmusic.com/2008/05/15/digidesign-and-m-audio-drivers-fail-to-keep-pace-with-vista-leopard-and-xp-sp3/

"Hi all,

Iím Niels Larsen, General Manager of M-Audio. I am posting here not to throw things at Peter:-) for writing this article but to recognize to you all that we are aware that we are disappointing many of our users. With OS updates not being entirely voluntary anymore it gets increasingly frustrating for users to suddenly find that their systems donít work from one day to the next.

I am sorry that we are prolonging this frustration by being late in delivering compatible drivers. It affects many of our loyal users and it therefore also affects our business.

So whatís the current status? I have tried to outline for you below where we are as of today:

Leopard
Today we posted release drivers for our Firewire Solo/Audiophile/410/1814/Ozonic and NRV-10. We still have work to do on Profire Lightbridge and Projectmix but outside of these two products our Leopard development is complete. I hope users who have experienced problems with the beta drivers will find the new drivers trouble-free.

http://www.m-audio.com/news/en_us-1267.html

XP SP3
The statement from http://www.m-audio.com that Peter referenced in his article above was correctly quoted. We actually did ourselves a disservice by not providing more information and have corrected that today in the following link:

http://www.m-audio.com/index.php?do=support.faq&ID=620a9083da49326e05cbb00e653a528d

Of course we also have to fix the installers that donít work under SP3. Itís not only frustrating for our users, its also a burden on our tech support team. We will provide more information about that during next week as we get a better overview of the timeline.

Projectmix and Vista 32
We posted the 32 bit release driver for Projectmix about a week ago and that leaves Transit, Mobile Pre and Ozone still in beta.

Vista SP-1 & Vista 64
We have been recruiting for beta testers on our website for a little while but the truth is that we are still some way off with both of these two projects. We have to finish our other Windows projects completely before we can fully engage but I hope you are getting a sense from the above that things are looking up on that front. Before long, our development should be focused entirely on these two issues and as we are in beta already we hope that development will go relatively smooth.
We are fully aware that Vista 64 is a big deal particularly because of the RAM constraints within Vista 32, so we take this seriously. We plan to give a timeline update on our website once we have put Vista 32 and XP SP3 behind us.

Going forward, I hope you will see an improvement in our support as our driver team is growing with new hires and an increased commitment to support OS updates in a timely fashion. I appreciate that we are not perfect until the day that we are able to launch driver update within minutes of a new OS revision. Recently we have been far off that mark and need to at least get closer to perfect.

Thanks for listening.

Niels

May 16, 2008 @ 7:04 pm"

Reproduced in its entirety for the benefit of anyone having similar problems.

Regards,

Derwood

CAROLCO
Jun 22, 2008, 01:04 PM
I am having the same problems as Derwood. Did you ever find an answer, Derwood? Or does anyone have any other suggestions? I downloaded and installed the drivers from M-Audio to no avail. Thanks for any help!

frankiepdx
Jun 23, 2008, 12:59 AM
I upgraded from a USB MobilePre to a Tascam 1641. I was having freezing issues with the MobilePre and the drivers never seem to update well enough to fix my issue since my installation of Leopard.

I ran into the error message that you were talking about. The only thing that seemed to fix it was a change in the Preferences>Audio>I/O Buffer Size and upping it 512.

This was only an issue with Logic and not with Garageband. But I don't use GB and longer. Hope this helps.

fridmanator
Nov 28, 2008, 10:12 AM
I having troubles using my tascam 1641 on my macbook 2.4 2 Gb ram
do you use it flulessly?
if so please tell me how...